Bug 1799926 - python-chaospy: FTBFS in Fedora rawhide/f32
Summary: python-chaospy: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-chaospy
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-numpoly
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:40 UTC by Fedora Release Engineering
Modified: 2020-05-22 05:30 UTC (History)
3 users (show)

Fixed In Version: python-chaospy-3.2.10-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-22 05:30:29 UTC
Type: ---


Attachments (Terms of Use)
build.log (6.81 KB, text/plain)
2020-02-06 19:40 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 19:40 UTC, Fedora Release Engineering
no flags Details
state.log (1014 bytes, text/plain)
2020-02-06 19:40 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:40:18 UTC
python-chaospy failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41320718


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix python-chaospy at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-chaospy will be orphaned. Before branching of Fedora 33,
python-chaospy will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:40:21 UTC
Created attachment 1660453 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 19:40:23 UTC
Created attachment 1660454 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:40:24 UTC
Created attachment 1660455 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:52:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:29:44 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Ankur Sinha (FranciscoD) 2020-02-16 13:58:05 UTC
The neuro-sig is working on these bugs.

Comment 7 Ankur Sinha (FranciscoD) 2020-02-24 13:57:54 UTC
It now requires a new BR: python-numpoly that needs packaging. Working on that now.

Comment 8 Luis Bazan 2020-02-28 19:01:25 UTC
Working on it!

Cheers,

Comment 9 Fedora Update System 2020-05-13 15:48:47 UTC
FEDORA-2020-58e23656a9 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-58e23656a9

Comment 10 Fedora Update System 2020-05-14 04:31:34 UTC
FEDORA-2020-58e23656a9 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-58e23656a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-58e23656a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-22 05:30:29 UTC
FEDORA-2020-58e23656a9 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.